$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.17.47-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.17.47-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'ECB549AE8B1CC65021BAA056D6AED3E3E102DF79F260E91BAE352A54503744C7'
  checksumType = 'sha256'
  checksum64 = 'ECB549AE8B1CC65021BAA056D6AED3E3E102DF79F260E91BAE352A54503744C7'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.17.47-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
